<html>
<head>
<title>OGRE: Ogre::InstancedGeometry::LODBucket Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1InstancedGeometry.html">InstancedGeometry</a>::<a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html">LODBucket</a></div>
<h1>Ogre::InstancedGeometry::LODBucket Class Reference</h1><!-- doxytag: class="Ogre::InstancedGeometry::LODBucket" -->A <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html" title="A LODBucket is a collection of smaller buckets with the same LOD.">LODBucket</a> is a collection of smaller buckets with the same LOD.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1InstancedGeometry_1_1LODBucket-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>,<br>
 <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">MaterialBucket</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#df2e7a4e5394f62e03c28b69fb35c982">MaterialBucketMap</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Lookup of <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> Buckets in this <a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html" title="The details of a topological BatchInstance which is the highest level of partitioning...">BatchInstance</a>.  <a href="#df2e7a4e5394f62e03c28b69fb35c982"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a><br>
&lt; <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#df2e7a4e5394f62e03c28b69fb35c982">MaterialBucketMap</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#26053042ebc8190ec0f3dd2b3f4d29cb">MaterialIterator</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Iterator over the materials in this LOD.  <a href="#26053042ebc8190ec0f3dd2b3f4d29cb"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#8e7ad9c80d4c1ea1f9b5db0830b19332">LODBucket</a> (<a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">BatchInstance</a> *parent, unsigned short lod, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> lodDist)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#8b748a5c699e7cf334d1c687c7f23555">~LODBucket</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">BatchInstance</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#30af69eaf32c77f33f0aed931e4bf62f">getParent</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#7be9481a3adc079cbdf394a528f459ed">getLod</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the lod index.  <a href="#7be9481a3adc079cbdf394a528f459ed"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a2dad6ba7e2313dc3df4307253ed83b8">getSquaredDistance</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the lod squared distance.  <a href="#a2dad6ba7e2313dc3df4307253ed83b8"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#ce3db13c5248f7ade3cbeb7e24d5e20e">assign</a> (<a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedSubMesh.html">QueuedSubMesh</a> *qsm, <a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> atLod)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Assign a queued submesh to this bucket, using specified mesh LOD.  <a href="#ce3db13c5248f7ade3cbeb7e24d5e20e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#5a5129a1073f82623a976719d3686c8a">build</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Build.  <a href="#5a5129a1073f82623a976719d3686c8a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#053fd4713e1eeae02c91248b46f263c0">addRenderables</a> (<a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a> *queue, <a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> group, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> camSquaredDistance)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add children to the render queue.  <a href="#053fd4713e1eeae02c91248b46f263c0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1MapIterator.html">MaterialIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#21e07f88bd86ddc51be2c4338bde4405">getMaterialIterator</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get an iterator over the materials in this LOD.  <a href="#21e07f88bd86ddc51be2c4338bde4405"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#73ac044ef94197f8c046dbb5d8ca373f">dump</a> (std::ofstream &amp;of) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Dump contents for diagnostics.  <a href="#73ac044ef94197f8c046dbb5d8ca373f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#d5233d8a1371dd9a19de16a33d8505fe">updateContainers</a> (<a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">MaterialBucket</a> *bucket, <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">fill the map  <a href="#d5233d8a1371dd9a19de16a33d8505fe"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">BatchInstance</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#7d1a7e30731dbc658240cecdef8f9b1e">mParent</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Pointer to parent <a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html" title="The details of a topological BatchInstance which is the highest level of partitioning...">BatchInstance</a>.  <a href="#7d1a7e30731dbc658240cecdef8f9b1e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#ebb2f6b01a55e77392c0202124459bd6">mLod</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">LOD level (0 == full LOD).  <a href="#ebb2f6b01a55e77392c0202124459bd6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#7d621a0b32b412677bc0d4baac115f1d">mSquaredDistance</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">distance at which this LOD starts to apply (squared)  <a href="#7d621a0b32b412677bc0d4baac115f1d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#df2e7a4e5394f62e03c28b69fb35c982">MaterialBucketMap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#fc41ec6c886c1c8fa8b1d4efd6bb9d62">mMaterialBucketMap</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Lookup of <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> Buckets in this <a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html" title="The details of a topological BatchInstance which is the highest level of partitioning...">BatchInstance</a>.  <a href="#fc41ec6c886c1c8fa8b1d4efd6bb9d62"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1InstancedGeometry.html#3c5659b8a73b5a93d97418a8ac2cf3e3">QueuedGeometryList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#43c819fe51679560ac3480800d77046b">mQueuedGeometryList</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Geometry queued for a single LOD (deallocated here).  <a href="#43c819fe51679560ac3480800d77046b"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
A <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html" title="A LODBucket is a collection of smaller buckets with the same LOD.">LODBucket</a> is a collection of smaller buckets with the same LOD. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>LOD refers to <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> LOD here. <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> LOD can change separately at the next bucket down from this. </dd></dl>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00361">361</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="df2e7a4e5394f62e03c28b69fb35c982"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::MaterialBucketMap" ref="df2e7a4e5394f62e03c28b69fb35c982" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::map&lt;<a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">MaterialBucket</a>*&gt; <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#df2e7a4e5394f62e03c28b69fb35c982">Ogre::InstancedGeometry::LODBucket::MaterialBucketMap</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Lookup of <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> Buckets in this <a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html" title="The details of a topological BatchInstance which is the highest level of partitioning...">BatchInstance</a>. 
<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00365">365</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="26053042ebc8190ec0f3dd2b3f4d29cb"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::MaterialIterator" ref="26053042ebc8190ec0f3dd2b3f4d29cb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a>&lt;<a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#df2e7a4e5394f62e03c28b69fb35c982">MaterialBucketMap</a>&gt; <a class="el" href="classOgre_1_1MapIterator.html">Ogre::InstancedGeometry::LODBucket::MaterialIterator</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Iterator over the materials in this LOD. 
<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00393">393</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="8e7ad9c80d4c1ea1f9b5db0830b19332"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::LODBucket" ref="8e7ad9c80d4c1ea1f9b5db0830b19332" args="(BatchInstance *parent, unsigned short lod, Real lodDist)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::InstancedGeometry::LODBucket::LODBucket           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">BatchInstance</a> *&nbsp;</td>
          <td class="paramname"> <em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short&nbsp;</td>
          <td class="paramname"> <em>lod</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>lodDist</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="8b748a5c699e7cf334d1c687c7f23555"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::~LODBucket" ref="8b748a5c699e7cf334d1c687c7f23555" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::InstancedGeometry::LODBucket::~LODBucket           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="30af69eaf32c77f33f0aed931e4bf62f"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::getParent" ref="30af69eaf32c77f33f0aed931e4bf62f" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">BatchInstance</a>* Ogre::InstancedGeometry::LODBucket::getParent           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00380">380</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7be9481a3adc079cbdf394a528f459ed"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::getLod" ref="7be9481a3adc079cbdf394a528f459ed" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> Ogre::InstancedGeometry::LODBucket::getLod           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the lod index. 
<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00382">382</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a2dad6ba7e2313dc3df4307253ed83b8"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::getSquaredDistance" ref="a2dad6ba7e2313dc3df4307253ed83b8" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::InstancedGeometry::LODBucket::getSquaredDistance           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the lod squared distance. 
<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00384">384</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ce3db13c5248f7ade3cbeb7e24d5e20e"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::assign" ref="ce3db13c5248f7ade3cbeb7e24d5e20e" args="(QueuedSubMesh *qsm, ushort atLod)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::InstancedGeometry::LODBucket::assign           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedSubMesh.html">QueuedSubMesh</a> *&nbsp;</td>
          <td class="paramname"> <em>qsm</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td>
          <td class="paramname"> <em>atLod</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Assign a queued submesh to this bucket, using specified mesh LOD. 
<p>

</div>
</div><p>
<a class="anchor" name="5a5129a1073f82623a976719d3686c8a"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::build" ref="5a5129a1073f82623a976719d3686c8a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::InstancedGeometry::LODBucket::build           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Build. 
<p>

</div>
</div><p>
<a class="anchor" name="053fd4713e1eeae02c91248b46f263c0"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::addRenderables" ref="053fd4713e1eeae02c91248b46f263c0" args="(RenderQueue *queue, uint8 group, Real camSquaredDistance)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::InstancedGeometry::LODBucket::addRenderables           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a> *&nbsp;</td>
          <td class="paramname"> <em>queue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&nbsp;</td>
          <td class="paramname"> <em>group</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>camSquaredDistance</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Add children to the render queue. 
<p>

</div>
</div><p>
<a class="anchor" name="21e07f88bd86ddc51be2c4338bde4405"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::getMaterialIterator" ref="21e07f88bd86ddc51be2c4338bde4405" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MapIterator.html">MaterialIterator</a> Ogre::InstancedGeometry::LODBucket::getMaterialIterator           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get an iterator over the materials in this LOD. 
<p>

</div>
</div><p>
<a class="anchor" name="73ac044ef94197f8c046dbb5d8ca373f"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::dump" ref="73ac044ef94197f8c046dbb5d8ca373f" args="(std::ofstream &amp;of) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::InstancedGeometry::LODBucket::dump           </td>
          <td>(</td>
          <td class="paramtype">std::ofstream &amp;&nbsp;</td>
          <td class="paramname"> <em>of</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Dump contents for diagnostics. 
<p>

</div>
</div><p>
<a class="anchor" name="d5233d8a1371dd9a19de16a33d8505fe"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::updateContainers" ref="d5233d8a1371dd9a19de16a33d8505fe" args="(MaterialBucket *bucket, String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::InstancedGeometry::LODBucket::updateContainers           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">MaterialBucket</a> *&nbsp;</td>
          <td class="paramname"> <em>bucket</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
fill the map 
<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="7d1a7e30731dbc658240cecdef8f9b1e"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::mParent" ref="7d1a7e30731dbc658240cecdef8f9b1e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">BatchInstance</a>* <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#7d1a7e30731dbc658240cecdef8f9b1e">Ogre::InstancedGeometry::LODBucket::mParent</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Pointer to parent <a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html" title="The details of a topological BatchInstance which is the highest level of partitioning...">BatchInstance</a>. 
<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00368">368</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ebb2f6b01a55e77392c0202124459bd6"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::mLod" ref="ebb2f6b01a55e77392c0202124459bd6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#ebb2f6b01a55e77392c0202124459bd6">Ogre::InstancedGeometry::LODBucket::mLod</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
LOD level (0 == full LOD). 
<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00370">370</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7d621a0b32b412677bc0d4baac115f1d"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::mSquaredDistance" ref="7d621a0b32b412677bc0d4baac115f1d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#7d621a0b32b412677bc0d4baac115f1d">Ogre::InstancedGeometry::LODBucket::mSquaredDistance</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
distance at which this LOD starts to apply (squared) 
<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00372">372</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="fc41ec6c886c1c8fa8b1d4efd6bb9d62"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::mMaterialBucketMap" ref="fc41ec6c886c1c8fa8b1d4efd6bb9d62" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#df2e7a4e5394f62e03c28b69fb35c982">MaterialBucketMap</a> <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#fc41ec6c886c1c8fa8b1d4efd6bb9d62">Ogre::InstancedGeometry::LODBucket::mMaterialBucketMap</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Lookup of <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> Buckets in this <a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html" title="The details of a topological BatchInstance which is the highest level of partitioning...">BatchInstance</a>. 
<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00374">374</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="43c819fe51679560ac3480800d77046b"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::mQueuedGeometryList" ref="43c819fe51679560ac3480800d77046b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1InstancedGeometry.html#3c5659b8a73b5a93d97418a8ac2cf3e3">QueuedGeometryList</a> <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#43c819fe51679560ac3480800d77046b">Ogre::InstancedGeometry::LODBucket::mQueuedGeometryList</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Geometry queued for a single LOD (deallocated here). 
<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00376">376</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:11 2008
</p>
</body>
</html>
